%define pkg_name        Gtk2-GladeXML
%define pkg_version     1.006
%define rpm_pkg_version 1.006
%define rpm_pkg_release 1.n0i.9

Summary:       Create user interfaces directly from Glade XML files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TS/TSCH/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl >= 2:5.8.0
BuildRequires: pkgconfig, libglade2-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends) >= 0.100
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0
BuildRequires: perl(Glib) >= 1.020
BuildRequires: perl(Gtk2) >= 1.000
Requires:      perl(Glib) >= 1.020
Requires:      perl(Gtk2) >= 1.000


%description
Glade is a free user interface builder for GTK+ and GNOME. After designing a
user interface with glade-2 the layout and configuration are saved in an XML
file. libglade is a library which knows how to build and hook up the user
interface described in the Glade XML file at application run time.
This module is a set of mappings of libglade. More specifically the gladexml
portion of libglade. These mappings allow access to libglade from PERL code.
Better yet you can load a file's contents into a PERL scalar do a few
magical regular expressions to customize things and the load up the app. It
doesn't get any easier.
 


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc AUTHORS ChangeLog examples/ LICENSE NEWS README


%changelog
* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 1.006-1.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.006

* Thu Aug 25 2005 Marius FERARU <altblue@n0i.net> 1.005-2.n0i.8
- rebuild

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.005-1.n0i.7
- version 1.005
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Jan 27 2005 Marius Feraru <altblue@n0i.net> 0:1.004-1.n0i.6
- version 1.004

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:1.001-1.n0i.5
- version 1.001
- spec updates

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.4
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.3
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:1.00-1.n0i.2
- version 1.00
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Mon Feb 02 2004 Marius FERARU <altblue@n0i.net> 0:0.95-0.n0i.1
- version 0.95
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
